Subject: [rohc] RE: Information on IR-REPLICATE

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Thu, 17 Oct 2002 17:51:43 +0200

Yousuf, (cc rohc list)

The current draft version does not cover these things, but a new version is on its way and then this should hopefully be documented (although the mail list is also documentation).

> 1) What is the value of the new packet type it uses to 
> differentiate itself? If it doesn't use packet type then what 
> is the mechanism for identifying this packet?

Only a small part of IR packets are profile independent, while most of the IR packet header is profile specific. Since the context replication capability is also profile specific, this will be handled as part of the IR packet. This was discussed on the rohc mail list after the Yokohama meeting, i.e. in August. Please consult the archives.

> 2) How does it carry identification for the base context?

We have not yet had much discussions about this, but one obvious way is of course to simply use the CID of the base context as reference. 

Please direct future questions to the rohc mail list.

BR
/Lars-Erik

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: [email-masked]
Date: Thu, 17 Oct 2002 11:22:28 -0500

Hi Lars-Erik,

Thanks for replying my email.

I have checked the Archive and didn't find any conclusion for identifying IR-REPLICATE packet. I will wait for the next version of the draft for my answers.

BR,
Yousuf

-----Original Message-----
From: ext Lars-Erik Jonsson (EAB)
[mailto:[email-masked]]
Sent: 17 October, 2002 10:52 AM
To: Saifullah Yousuf (NRC/Dallas); [email-masked];
[email-masked]; [email-masked];
[email-masked]
Cc: Rohc (E-mail)
Subject: [rohc] RE: Information on IR-REPLICATE

Yousuf, (cc rohc list)

BR
/Lars-Erik

---

From: "Hongbin Liao (Intl Staffing)" <[email-masked]>
Date: Fri, 18 Oct 2002 11:04:25 +0800

Hi, Yousuf
	I agree with Lars-Erik that the format of IR-REPLICATE packet is profile-specific and will be encoded as an IR/IR-DYN, see http://www1.ietf.org/mail-archive/working-groups/rohc/current/msg00753.html for more details. I prefer to see an IR packet with the profile-specific bit, 'x' set to 0 or 1 to identify whether the packet is an IR or IR-REPLICATE packet of a profile, see RFC 3095 section 5.2.3.
	A simple CID of the base context may be an answer. However, considering the efficiency, we may need more efficient encoding for the identification of the base context.
	One more thing, even though IR-REPLICATE packet is profile-specific, there will be lots of common issues among profiles. For example, how to replicate the fields in IPv4 and/or IPv6 headers. Do we need some docs on such issues to avoid duplication for each profile.

Hongbin
10/18/2002

> From: [email-masked] [mailto:[email-masked]] 
> Sent: Friday, October 18, 2002 12:22 AM
> To: [email-masked]; Qian Zhang; Hongbin 
> Liao (Intl Staffing); [email-masked]; 
> Cc: [email-masked]
> Subject: RE: [rohc] RE: Information on IR-REPLICATE
> 
> 
> Hi Lars-Erik,
> 
> I have checked the Archive and didn't find any conclusion for 
> identifying IR-REPLICATE packet. I will wait for the next 
> version of the draft for my answers.
> 
> BR,
> Yousuf
> 
> 
> The current draft version does not cover these things, but a 
> new version is on its way and then this should hopefully be 
> documented (although the mail list is also documentation).
> 
> Only a small part of IR packets are profile independent, 
> while most of the IR packet header is profile specific. Since 
> the context replication capability is also profile specific, 
> this will be handled as part of the IR packet. This was 
> discussed on the rohc mail list after the Yokohama meeting, 
> i.e. in August. Please consult the archives.
> 
> 
> We have not yet had much discussions about this, but one 
> obvious way is of course to simply use the CID of the base 
> context as reference. 
> 
>